<?php

include("general.php");
include("conexion.php");
include("activation.php");
include("chat.php");
include("email.php");
require_once('../nusoap.php');

$server = new soap_server();

$server->soap_defencoding = 'UTF-8';
$server->decode_utf8 = false;
$server->encode_utf8 = true;

$server->configureWSDL("ZiurService");
$server->wsdl->schemaTargetNamespace = $namespace;

$server->register('ValidateUsuario',
		   array('nomusuario'=>'xsd:string','serial'=>'xsd:string'), 		
                   array('return'=>'xsd:string'),
                   $namespace,
                   false,
                  'rpc',
                  'encoded',
                  'ValidarExistenciaUsuarioSiNoExisteCrearUsuario');

$server->register('SaveChatPreguntas',
		   array('guid'=>'xsd:string','conversacion'=>'xsd:string', 'idChatPregunta'=>'xsd:int'), 		
                   array('return'=>'xsd:string'),
                   $namespace,
                   false,
                  'rpc',
                  'encoded',
                  'guardaChatConversacionComoCliente');

$server->register('GetConversacionPreguntasByFecha',
		   array('guid'=>'xsd:string','nummdia'=>'xsd:int','nummes'=>'xsd:int','numanho'=>'xsd:int','todos'=>'xsd:boolean'), 		
                   array('return'=>'xsd:string'),
                   $namespace,
                   false,
                  'rpc',
                  'encoded',
                  'obtienepreguntasporfecha');

$server->register('GetConversacionesByIdConversacion',
		   array('idconversacion'=>'xsd:int'), 		
                   array('return'=>'xsd:string'),
                   $namespace,
                   false,
                  'rpc',
                  'encoded',
                  'obtiene conversacion completa Con el IdConversacion');

$server->register('GetActivation', 		
                  array('name'=>'xsd:string'), 
                  array('return'=>'xsd:string'),
                  $namespace,
                  false,
                  'rpc',
                  'encoded',
                  'Obtiene Activacion por Numero de Licencia');
                  

$server->register('SendPassword', 		
                  array('to'=>'xsd:string','toDescription'=>'xsd:string', 'password'=>'xsd:string','customMessage'=>'xsd:string'), 
                  array('return'=>'xsd:string'),
                  $namespace,
                  false,
                  'rpc',
                  'encoded',
                  'Envio de contrasena por correo');

//$POST_DATA = isset($GLOBALS['HTTP_RAW_POST_DATA']) 
  //              ? $GLOBALS['HTTP_RAW_POST_DATA'] : '';
$POST_DATA = file_get_contents("php://input");
$server->service($POST_DATA);                
exit();
//-------------------------------------------------------------------------------------------------
?>