<?

include("general.php");
include("conexion.php");
include("email.php");

$id = 0;
if (!empty($_GET["id"]))
{
   $id = $_GET["id"];
}

$mode = isset($_GET['mode']) ? $_GET['mode'] : "1";
$lic = isset($_GET['lic']) ? $_GET['lic'] : "";
$emp = isset($_GET['emp']) ? $_GET['emp'] : "";
$url = isset($_GET['url']) ? $_GET['url'] : "";
$bd = isset($_GET['bd']) ? $_GET['bd'] : "";
$email = isset($_GET['email']) ? $_GET['email'] : "";
$msg = "";

$link = conectarse();

//Create SimpleXMLElement object
$xml = new SimpleXMLElement('<xml/>');

if ($mode == "1")
{
   //mode = 1 para insertar el registro
   $strSql = "insert into Licencias_ConexionesHist (IdLicencia, UrlWCF, FechaConexion, NomBaseDatos) values ('$lic', '$url', now(),'$bd')";
   $res = $link->query($strSql);

   $mydata = $xml->addChild('estado','1');
   $mydata = $xml->addChild('error',' ');

   if (!$res)	
   {
      $mydata = $xml->addChild('estado','0');
      $mydata = $xml->addChild('error',$link->errorInfo()[2]);
   }
}

if ($mode == "2")
{
   $numRows=0;

   if ($lic!="")
   {
      $strSql = "select IdLicencia from Licencias where IdLicencia = '$lic'";
      $result = $link->query($strSql);
      $numRows = $result->rowCount();

      if ($numRows==0)
      {
         $descripError = "No se encontraron registros con la licencia  :'$lic'";
         $mydata = $xml->addChild('estado','0');
         $mydata = $xml->addChild('error',$descripError);
      }   
   }

   if (($numRows == 0) && ($emp!=""))
   {
      $strSql = "select IdLicencia from Licencias where NomEmpresa like '%$emp%'";
      $result = $link->query($strSql);
      $numRows = $result->rowCount();

     if ($numRows==0)
     {
         $descripError = "No se encontraron registros con el nombre de la licencia :'$emp'";
         $mydata = $xml->addChild('estado','0');
         $mydata = $xml->addChild('error',$descripError);
     }

     if ($numRows>5)
     {
         $descripError = "Se encontraron muchas licencias (+5) con ese nombre coloque nombre sea especifico :'$emp'";
         $mydata = $xml->addChild('estado','0');
         $mydata = $xml->addChild('error',$descripError);
     }
   }

   if ($numRows >= 1 && $numRows <= 5)
   {
      $row = $result->fetch(PDO::FETCH_ASSOC);
      $lic = $row['IdLicencia'];
      $strSql = "select a.IdLicencia,UrlWCF,MAX(FechaConexion)FechaConexion,MAX(NomBaseDatos)NomBaseDatos, b.NomEmpresa " . 
                "from Licencias_ConexionesHist a, Licencias b " . 
                "where a.IdLicencia = b.IdLicencia and a.IdLicencia in (" . $strSql . ") " .
                "group by a.IdLicencia,UrlWCF order by FechaConexion DESC";
      $result = $link->query($strSql);
      $numRows = $result->rowCount();
      
     if ($numRows==0)
     {
         $mydata = $xml->addChild('estado','0');
         $descripError = "No existen cadenas para conectar su licencia es probable que no se haya conectado al menos una vez";
         $mydata = $xml->addChild('error',$descripError);
     }

     if ($numRows>0)
     {
         $mydata = $xml->addChild('estado','1');
         $descripError = "Se obtuvieron cadenas para conectar con su licencia";
         $mydata = $xml->addChild('error',$descripError);
     }
      
      //Add each column value a node of the XML object
      while($row = $result->fetch(PDO::FETCH_ASSOC)) 
      {
         $mydata = $xml->addChild('Connection');
         $mydata->addChild('licence',$row['IdLicencia']);
         $mydata->addChild('name',htmlspecialchars($row['NomEmpresa']));
         $mydata->addChild('url',$row['UrlWCF']);
         $mydata->addChild('bdname',$row['NomBaseDatos']);
      }
   }
}


//mode = 3 para enviar correo recordando el nombre de la licencia
if ($mode == "3")
{
   $pasoValid = 1;

   if (!filter_var($email, FILTER_VALIDATE_EMAIL)) 
   {
      $pasoValid = 0;
      $resFin = explode(";","1;Correo no valido");
   }

   if ($pasoValid==1)
   {  
      $strSql = "select * from Licencias where lower(EmailPrincipal) like '%$email%'";
      $result = $link->query($strSql);
      $numRows = $result->rowCount();

      while($row = $result->fetch(PDO::FETCH_ASSOC))  
      {
         $licArr = $licArr . $row['IdLicencia'] . ' - ' . $row['NomEmpresa'] . "\n";
      }

      if ($numRows==0)
      {
         $msg = "Su correo no tiene asociada ninguna licencia ! \n\nAtentamente,\n\nZiur Software\nSoporte\n(+571) 5800 555";
      }
      else
      {
         $msg = "Su correo esta asociado a esta licencia(s) : \n\n" . $licArr . "\n\nAtentamente,\n\nZiur Software\nSoporte\n(+571) 5800 555";
      }

      $subject = "Datos de Su Licencia en Ziur Software";
      $res=SendEmail($email, '', $subject, $msg);
      $resFin = explode(";", $res);
   }

   if ($resFin[0]=="0")
   {
      $mydata = $xml->addChild('estado','1');
      $mydata = $xml->addChild('error',$resFin[1]);
   }
   else
   {
      $mydata = $xml->addChild('estado','0');
      $mydata = $xml->addChild('error',$resFin[1]);
   }
}

//Opcion funciona 1
//--
//Header('Content-type: text/xml');
//$output = $xml->asXML();
//print $output ;
//exit();
//--


//Opcion test 1
//--
Header('Content-type: text/xml');
$doc = new DOMDocument('1.0','UTF-8');
$doc->formatOutput = true;
$output = $xml->asXML();
$doc->loadXML(mb_convert_encoding($output, 'HTML-ENTITIES', 'UTF-8'));
echo $doc->saveXML();
exit();




// FOR PROPER FORMATTING XML
// Create a new DOMDocument object

$doc = new DOMDocument('1.0');
$doc->formatOutput = true;
$sxml=simplexml_load_string($xml->saveXML());
$domnode = dom_import_simplexml($sxml);

$domnode->preserveWhiteSpace = false;
$domnode = $doc->importNode($domnode, true);
$domnode = $doc->appendChild($domnode);
$saveXml = $doc->saveXML();

header('HTTP/1.1 200 OK');
header("Pragma: no-cache");
header('Cache-Control: no-cache, no-store, max-age=0, must-revalidate');
header('Content-type', 'text/xml');
//header('Content-Disposition: attachment; filename="example.xml"');
 
echo $saveXml;
exit();



header('HTTP/1.1 200 OK');
header("Pragma: no-cache");
header('Cache-Control: no-cache, no-store, max-age=0, must-revalidate');
header('Content-type', 'text/xml');

print $xml->asXML();
exit();

//Create the XML file
$fp = fopen("employeeData.xml","wb");
 
//Write the XML nodes
fwrite($fp,$xml->asXML());
 

?>