<?php

include ("general.php");
include ("conexion.php");

$lic = isset($_GET['lic']) ? $_GET['lic'] : 0;

$link = conectarse();

$webserver = "http://www.ziur.co";

//Create SimpleXMLElement object
$xml = new SimpleXMLElement('<xml/>');

$strSql = "SELECT IdLicencia, EMP_NIT, EMP_DV, EMP_RazonSocial, BILL_TransaccionesNota, BILL_FechaIni, BILL_FechaFin, CERT_FechaIni, CERT_FechaFin, EsActivo " .
          "FROM FactElectronica_Licencias " .
          "WHERE IdLicencia = '$lic' ";

$result = $link->query($strSql, MYSQLI_USE_RESULT);

while($row = $result->fetch(PDO::FETCH_ASSOC))
{
   $mydata = $xml->addChild('File');
   $mydata->addChild('Licencia', $row['IdLicencia']);
   $mydata->addChild('NameCompany', htmlspecialchars($row['EMP_RazonSocial'], ENT_QUOTES | ENT_XML1));
   $mydata->addChild('NIT', $row['EMP_NIT']);
   $mydata->addChild('NITDV', $row['EMP_DV']);

   $arrayTransacciones = preg_split("/,\s/" , $row['BILL_TransaccionesNota'], -1, PREG_SPLIT_NO_EMPTY);
   $transacciones = array_sum($arrayTransacciones);

   $mydata->addChild('TransaccionesTotal', $transacciones);

   $mydata->addChild('Rango_FechaIni', ($row['BILL_FechaIni'] != null) ? date("d/m/Y", strtotime($row['BILL_FechaIni'])) : null);
   $mydata->addChild('Rango_FechaFin', ($row['BILL_FechaFin'] != null) ? date("d/m/Y", strtotime($row['BILL_FechaFin'])) : null);
   $mydata->addChild('CERT_FechaIni', ($row['CERT_FechaIni'] != null) ? date("d/m/Y", strtotime($row['CERT_FechaIni'])) : null);
   $mydata->addChild('CERT_FechaFin', ($row['CERT_FechaFin'] != null) ? date("d/m/Y", strtotime($row['CERT_FechaFin'])) : null);

   $mydata->addChild('EsActivo', $row['EsActivo']);
}
//--
Header('Content-type: text/xml');
$doc = new DOMDocument('1.0','UTF-8');
$doc->formatOutput = true;
$output = $xml->asXML();
$doc->loadXML(mb_convert_encoding($output, 'HTML-ENTITIES', 'UTF-8'));
echo $doc->saveXML();
exit();

?>
