<?

include("general.php");
include("conexion.php");

$id = isset($_GET['id']) ? $_GET['id'] : 0;
$lic = isset($_GET['lic']) ? $_GET['lic'] : "";
$app = isset($_GET['app']) ? $_GET['app'] : "";

//Para asegurar que se bajen las ultimas versiones y que no quede un salto en dado caso que ya se tenga una version que se publique como script.
//Ejemplo : una bd esta en 897 y se haga publicacion de la 898 , entonces nunca se descargaria la 896.
if ($id >0)
	$id = $id - 5;

$link = conectarse();

$webserver = "http://www.ziur.co";

//Create SimpleXMLElement object
$xml = new SimpleXMLElement('<xml/>');

//Para la opcion especial de bajar un script de una licencia especifica
//---------------------------------------------------------------------------------------------------------------------
//$strSql = "select IdPub, NomPub, Nota, FechaPub, IdTipo, NumVersion, NomRuta, NomDirectorioLocal, NomArchivo " .
//          "from Publicaciones " .
//          "where EsActivo = 1 and IdTipo = 4 and (EsBajarUna = 0 or (EsBajarUna = 1 and EsBajarUna_Sen = 0 )) and (IdLicencia='$lic' or (IdLicencia is null and fechapub=date(now())))  ";

$strSql = "select IdPub, NomPub, Nota, FechaPub, IdTipo, NumVersion, NomRuta, NomDirectorioLocal, NomArchivo " .
          "from Publicaciones " .
          "where EsActivo = 1 and IdTipo = 4 and (EsBajarUna = 0 or (EsBajarUna = 1 and EsBajarUna_Sen = 0 )) and (IdLicencia='$lic' or IdLicencia is null)  ";

$result =$link->query($strSql);
$numRows=$result->rowCount();
if ($numRows>=1)
{
   $strSql = "update Publicaciones set EsBajarUna_Sen = 1 where EsBajarUna = 1 and EsBajarUna_Sen = 0 and IdLicencia='$lic' ";
   $res =$link->query($strSql);
}

while($row = $result->fetch(PDO::FETCH_ASSOC)) 
{
   $mydata = $xml->addChild('File');
   $mydata->addChild('version',$row['NomPub']);
   $mydata->addChild('url',$webserver . $row['NomRuta']);
   $mydata->addChild('name',$row['NomArchivo']);
   $mydata->addChild('dir',$row['NomDirectorioLocal']);
   $mydata->addChild('tipo',1);
}
//---------------------------------------------------------------------------------------------------------------------

	  
$strSql = "SELECT IdPub, NomPub, Nota, FechaPub, IdTipo, NumVersion, NomRuta, NomDirectorioLocal, NomArchivo, '' AS NomArchivoGZ, 0 AS Orden " .
          "FROM Publicaciones " .
          "WHERE EsActivo = 1 and IdTipo=1 AND NumVersion>$id " .
          "UNION " .
	  
          "SELECT IdPub, NomPub, Nota, FechaPub, IdTipo, NumVersion, NomRuta, NomDirectorioLocal, Pub.NomArchivo, Arch.NomArchivoGZ, Arch.Orden " .
          "FROM Publicaciones AS Pub LEFT JOIN Archivos AS Arch ON Pub.NomArchivo = Arch.NomArchivo " . 
		  "WHERE IdPub IN " . 
		  "(  " . 
		  "   SELECT Max(IdPub) AS MaxIdPub  " . 
		  "   FROM Publicaciones AS Pub  " . 
		  "   WHERE EsActivo = 1 AND IdTipo IN (2,3) AND (IdLicencia='$lic' or IdLicencia is null)"  . 
		  "   GROUP BY NomArchivo  " . 
		  ") " .
		  
          "UNION ".
          "SELECT IdPub, NomPub, Nota, FechaPub, IdTipo, NumVersion, NomRuta, NomDirectorioLocal, NomArchivo, '' AS NomArchivoGZ, 0 AS Orden " .
          "FROM Publicaciones " .
          "WHERE EsActivo = 1 and IdTipo=5 AND NumVersion>$id " .
          "ORDER BY IdTipo, Orden, NumVersion, NomPub " ;		  

$result = $link->query($strSql);

//Verificar si mantener compatilidad hacia atras
//--
if ($app=="")
{
	$resCompG = -1;
}
	
if ($app!="")
{
	$resCompG = version_compare($app,"1.0.0.720");
}
//--

//Add each column value a node of the XML object
while($row = $result->fetch(PDO::FETCH_ASSOC)) 
{
   //$nomArchivo = $row['NomArchivo'];
   $ulrFileGZ = $webserver . $row['NomRuta'];
   $nomPub = $row['NomPub'];
   
   //Para mantener la compatibilidad hacia atras ya que versiones menores a 720 
   //no toman en cuenta el nombre del archivo cuando se descomprimen
   //--
   if ($resCompG == -1)
   {
	   $nomPub = "1.0.0.0";
	   if (($row['IdTipo']==2) || ($row['IdTipo']==3))
	   {
		   if ($row['NomArchivoGZ'] != "")
		   {
			  $fileNameGZ1 = basename($ulrFileGZ);
			  $fileNameGZ2 = $row['NomArchivoGZ'];
			  $ulrFileGZ = str_replace($fileNameGZ1, $fileNameGZ2,$ulrFileGZ);
		   }
	   }
   }
   //--
   
   $mydata = $xml->addChild('File');
   $mydata->addChild('version',$nomPub);
   $mydata->addChild('url',$ulrFileGZ);
   $mydata->addChild('name',$row['NomArchivo']);
   $mydata->addChild('dir',$row['NomDirectorioLocal']);
   $mydata->addChild('tipo',$row['IdTipo']);
}

//Opcion funciona 1
//--
//Header('Content-type: text/xml');
//$output = $xml->asXML();
//print $output ;
//exit();
//--


//Opcion test 1
//--
Header('Content-type: text/xml');
$doc = new DOMDocument('1.0','UTF-8');
$doc->formatOutput = true;
$output = $xml->asXML();
$doc->loadXML(mb_convert_encoding($output, 'HTML-ENTITIES', 'UTF-8'));
echo $doc->saveXML();
exit();


// FOR PROPER FORMATTING XML
// Create a new DOMDocument object

$doc = new DOMDocument('1.0');
$doc->formatOutput = true;
$sxml=simplexml_load_string($xml->saveXML());
$domnode = dom_import_simplexml($sxml);



$domnode->preserveWhiteSpace = false;
$domnode = $doc->importNode($domnode, true);
$domnode = $doc->appendChild($domnode);
$saveXml = $doc->saveXML();

header('HTTP/1.1 200 OK');
header("Pragma: no-cache");
header('Cache-Control: no-cache, no-store, max-age=0, must-revalidate');
header('Content-type', 'text/xml');
//header('Content-Disposition: attachment; filename="example.xml"');
 
echo $saveXml;
exit();



header('HTTP/1.1 200 OK');
header("Pragma: no-cache");
header('Cache-Control: no-cache, no-store, max-age=0, must-revalidate');
header('Content-type', 'text/xml');

print $xml->asXML();
exit();

//Create the XML file
$fp = fopen("employeeData.xml","wb");
 
//Write the XML nodes
fwrite($fp,$xml->asXML());
 

?>