﻿<?php


//---------------------------------------------------------------------------
function getLatestFile($matPath)
{
    $directoryPath = $matPath['path'];
    $max = ['path' => null, 'timestamp' => 0,'sizelicense' => null];

    //devuelve nulos ya uqe en server justhost no se estan colocando backups 
    //return null;

    if (!file_exists($directoryPath))
       return null;

    if (is_file($directoryPath))
        return $matPath;

	 $total_size_license = 0; //Acumula el total de toda la licencia
	 
    foreach (scandir($directoryPath) as $file) 
    {
        if ($file == "." || $file =="..")
           continue;

        $path = $directoryPath . '/' . $file;

echo "path : $path";

        $timestamp = filemtime($path);
		$sizefolders = get_folder_size($path);
		$total_size_license = $total_size_license + $sizefolders;
        if ($timestamp > $max['timestamp']) 
        {
            $max['path'] = $path;
            $max['timestamp'] = $timestamp;
        }
    }
	
	 $max['sizelicense'] = format_folder_size($total_size_license);

    return getLatestFile($max);
}
//---------------------------------------------------------------------------

function get_folder_size($folder_name)
{
 $total_size = 0;
 $file_data = scandir($folder_name);
 foreach($file_data as $file)
 {
   if ($file == "." || $file =="..")
      continue;
  else
  {
   $path = $folder_name . "/" . $file;
   $total_size = $total_size + filesize($path);
  }
 }
 return $total_size;
}

function format_folder_size($size)
{
 if ($size >= 1073741824)
 {
  $size = number_format($size / 1073741824, 2) . " GB";
 }
    elseif ($size >= 1048576)
    {
        $size = number_format($size / 1048576, 2) . " MB";
    }
    elseif ($size >= 1024)
    {
        $size = number_format($size / 1024, 2) . " KB";
    }
    elseif ($size > 1)
    {
        $size = $size . " bytes";
    }
    elseif ($size == 1)
    {
        $size = $size . " byte";
    }
    else
    {
        $size = "0 bytes";
    }
 return $size;
}


$lic = "0000-CCCC-DDDD-FFFF";
$pathRoot = "/home/ziurbk";
//$pathCurrent = $pathRoot . "/" . $lic;
//$maxFiles = ['path' => $pathCurrent, 'timestamp' => 0];
//$resFile = getLatestFile($maxFiles);

$directoryPath = $pathRoot ;

foreach (scandir($directoryPath, SCANDIR_SORT_NONE) as $file) 
{
   $pathCurrentFile = $directoryPath . "/" . $file;

echo "abriendo".$file. PHP_EOL;

   if ($file == "." || $file ==".." || $file ==".mozilla")
      continue;

   if (is_file($pathCurrentFile))
      continue;

   $maxFiles = ['path' => $pathCurrentFile, 'timestamp' => 0, 'sizelicense' => null];
   //$total_size =format_folder_size(filesize($pathCurrentFile));
   $resFile = getLatestFile($maxFiles);
   echo $file . "||" . $resFile['timestamp'] . "||" . $resFile['sizelicense']. PHP_EOL;
}


//echo "<br>--" . $resFile['path']  . "||" . date("m/d/Y h:i:s",$resFile['timestamp'])  . "--";
//echo "<br>--" . $resFile['path']  . "||" . $resFile['timestamp']  . "--";
?>
